Class | Amalgalite::Taps::IO
In: | lib/amalgalite/taps/io.rb lib/amalgalite/taps/io.rb
Parent: | Object

An IOTap is an easy way to send all top information to andy IO based object. Both profile and trace tap information can be captured This means you can send the events to STDOUT with:

      db.profile_tap = db.trace_tap  = Amalgalite::Taps::Stdout.new

### Methods

dump_profile dump_profile new new output_profile_event output_profile_event profile profile samplers samplers trace trace

### Attributes

io | [R] |
io | [R] |
profile_tap | [R] |
profile_tap | [R] |

### Public Class methods

new( io )
new( io )

### Public Instance methods

dump_profile()
dump_profile()
output_profile_event( msg, time )
output_profile_event( msg, time )
profile( msg, time )

need a profile method, it routes through the profile tap which calls back to output_profile_event

profile( msg, time )

need a profile method, it routes through the profile tap which calls back to output_profile_event

samplers()
samplers()
trace( msg )
trace( msg )

[Validate]